For Developers

List Invoice Snapshots

GET https://ed.link/api/v2/teams/:team_id/invoices/:invoice_id/snapshots

Returns historical usage and active student snapshots tallied during the billing period.

Permissions

Requires the invoices.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:invoice_idUUIDYesThe ID of the invoice.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/invoices/${invoice_id}/snapshots`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "84729102-1849-4712-9912-391820491820",
            "active_students": 1250,
            "recorded_date": "2024-05-01T00:00:00.000Z"
        }
    ]
}